> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.forte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# List trades

> Returns the trades.



## OpenAPI

````yaml GET /v1/trades
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.forte.cc
  - url: https://api.forte.cc
security:
  - bearerAuth: []
paths:
  /v1/trades:
    get:
      description: Returns the trades.
      responses:
        '200':
          description: List of trades.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Trade'
              example:
                - id: 5f63179b-61cb-4b72-9d3d-b02fea7c5611
                  instrument: AUDF/USDT
                  side: buy
                  price: '0.6295'
                  amount: '10'
                  currency: AUDF
                  buyAmount: '10'
                  buyCurrency: AUDF
                  sellAmount: '6.295'
                  sellCurrency: USDT
                  createdAt: '2024-06-27T00:45:10.040Z'
                  externalId: client-trade-000123
components:
  schemas:
    Trade:
      type: object
      properties:
        id:
          description: Trade identifier.
          type: string
          format: uuid
          example: 5f63179b-61cb-4b72-9d3d-b02fea7c5611
        instrument:
          description: Instrument traded (BASE/QUOTE).
          type: string
          example: AUDF/USDT
        side:
          description: >-
            Specifies the trade direction relative to the base currency of
            `instrument`.
          type: string
          enum:
            - buy
            - sell
          example: buy
        price:
          description: Executed price.
          type: string
          example: '0.6295'
        amount:
          description: Requested amount (in `currency`).
          type: string
          example: '10'
        currency:
          description: Currency of `amount`.
          type: string
          example: AUDF
        buyAmount:
          description: Amount purchased (in `buyCurrency`).
          type: string
          example: '10'
        buyCurrency:
          description: Currency of `buyAmount`.
          type: string
          example: AUDF
        sellAmount:
          description: Amount sold (in `sellCurrency`).
          type: string
          example: '6.295'
        sellCurrency:
          description: Currency of `sellAmount`.
          type: string
          example: USDT
        createdAt:
          description: Creation timestamp (ISO 8601).
          type: string
          format: date-time
          example: '2024-06-27T00:45:10.040Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````